Bug 1307976 - qucs: FTBFS: hicumL2V2p1.core.cpp:4898:11: error: call of overloaded 'abs(double&)' is ambiguous
qucs: FTBFS: hicumL2V2p1.core.cpp:4898:11: error: call of overloaded 'abs(dou...
Status: NEW
Product: Fedora
Classification: Fedora
Component: qucs (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:13 EST by Fedora Release Engineering
Modified: 2017-07-26 08:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (527.49 KB, text/plain)
2016-02-13 17:13 EST, Fedora Release Engineering
no flags Details
root.log (95.15 KB, text/plain)
2016-02-13 17:13 EST, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2016-02-13 17:13 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:13:45 EST
Your package qucs failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12864284

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:13:48 EST
Created attachment 1125988 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:13:49 EST
Created attachment 1125989 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:13:51 EST
Created attachment 1125990 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:04:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Petr Pisar 2017-07-14 06:51:22 EDT
The failure is:

hicumL2V2p1.core.cpp: In member function 'void hicumL2V2p1::calcVerilog()':
hicumL2V2p1.core.cpp:4898:11: error: call of overloaded 'abs(double&)' is ambiguous
 (((abs(d_Q)>=(1.0e-5*abs(Q_pT)))&&(l_it<=100)))
           ^
In file included from /usr/include/c++/6.0.0/cstdlib:75:0,
                 from /usr/include/c++/6.0.0/stdlib.h:36,
                 from ../../../src/components/component.h:29,
                 from hicumL2V2p1.core.cpp:16:
/usr/include/stdlib.h:774:12: note: candidate: int abs(int)
 extern int abs (int __x) __THROW __attribute__ ((__const__)) __wur;
            ^~~
In file included from /usr/include/c++/6.0.0/stdlib.h:36:0,
                 from ../../../src/components/component.h:29,
                 from hicumL2V2p1.core.cpp:16:
/usr/include/c++/6.0.0/cstdlib:180:3: note: candidate: long long int std::abs(long long int)
   abs(long long __x) { return __builtin_llabs (__x); }
   ^~~
/usr/include/c++/6.0.0/cstdlib:172:3: note: candidate: long int std::abs(long int)
   abs(long __i) { return __builtin_labs(__i); }
   ^~~
hicumL2V2p1.core.cpp:4898:30: error: call of overloaded 'abs(double&)' is ambiguous
 (((abs(d_Q)>=(1.0e-5*abs(Q_pT)))&&(l_it<=100)))
                              ^
In file included from /usr/include/c++/6.0.0/cstdlib:75:0,
                 from /usr/include/c++/6.0.0/stdlib.h:36,
                 from ../../../src/components/component.h:29,
                 from hicumL2V2p1.core.cpp:16:
/usr/include/stdlib.h:774:12: note: candidate: int abs(int)
 extern int abs (int __x) __THROW __attribute__ ((__const__)) __wur;
            ^~~
In file included from /usr/include/c++/6.0.0/stdlib.h:36:0,
                 from ../../../src/components/component.h:29,
                 from hicumL2V2p1.core.cpp:16:
/usr/include/c++/6.0.0/cstdlib:180:3: note: candidate: long long int std::abs(long long int)
   abs(long long __x) { return __builtin_llabs (__x); }
   ^~~
/usr/include/c++/6.0.0/cstdlib:172:3: note: candidate: long int std::abs(long int)
   abs(long __i) { return __builtin_labs(__i); }
   ^~~
Comment 6 Petr Pisar 2017-07-14 08:11:17 EDT
This is also the issue in F25. It looks like gcc 6.3.1 is affected while gcc 7.1.1 is fine again.
Comment 7 Fedora End Of Life 2017-07-25 16:04:20 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.